Delete deployment-mediawiki06
Closed, ResolvedPublic

Description

from irc:

10:05 <_joe_> eddiegp: as a followup, I want to also delete mw06
10:06 <eddiegp> _joe_: Sure, I already wondered why you left that one on?
10:06 <_joe_> it's set as the host for a security audit
10:06 <_joe_> I don't know much about
10:06 <_joe_> so I left it alone
10:07 <eddiegp> Ah, okay. So we should probably ping the security team about whether it needs to be replaced or can just go away.
10:07 <_joe_> I need to gather info, and it's lower-priority than moving whatever is serving the beta wikis to testing and real users
10:07 <_joe_> eddiegp: yes
10:07 <_joe_> even if it can be replaced now, maybe they have some forensic data saved there
Peachey88 updated the task description. (Show Details)Apr 25 2018, 10:17 AM

I've never heard of this server before

Vvjjkkii renamed this task from Delete deployment-mediawiki06 to baeaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
JJMC89 renamed this task from baeaaaaaaa to Delete deployment-mediawiki06.Jul 1 2018, 6:54 AM
JJMC89 raised the priority of this task from High to Needs Triage.
Krinkle edited projects, added Operations; removed Security-Team.Jul 3 2018, 3:40 AM
Krinkle added a project: Security-Team.

Mentioned in SAL (#wikimedia-releng) [2018-07-03T03:41:18Z] <Krinkle> Shut off deployment-mediawiki06 from Horizon (but not yet deleted) - T192996

Change 443767 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/puppet@production] deploymen-prep: Remove mediawiki06 from dsh groups

https://gerrit.wikimedia.org/r/443767

Mentioned in SAL (#wikimedia-releng) [2018-07-04T05:31:28Z] <Krinkle> beta-scap-eqiad failing due to mediawiki06 still being a scap target (despite being shutdown per T192996)

@elukey you created this instance, know what it's for?

elukey added a comment.Jul 8 2018, 4:59 PM

It was probably a regular mw appserver for beta, don't have specific memories about it.

Alright let's merge the above and delete this instance?

Change 443767 merged by Muehlenhoff:
[operations/puppet@production] deployment-prep: Remove mediawiki06 from dsh groups

https://gerrit.wikimedia.org/r/443767

MoritzMuehlenhoff triaged this task as Normal priority.Jul 9 2018, 9:05 AM

I've merge the patch to remove it from dsh, the instance can be removed any time now.

Krenair closed this task as Resolved.Jul 9 2018, 7:10 PM
Krenair assigned this task to Krinkle.

thanks

Mentioned in SAL (#wikimedia-releng) [2018-07-09T19:10:56Z] <Krenair> deleted deployment-mediawiki06 T192996

Mentioned in SAL (#wikimedia-releng) [2018-07-14T21:20:10Z] <Krenair> redirected security_audit traffic (see T72181) traffic from deployment-mediawiki06 to deployment-mediawiki-09 to fix puppet on varnish (06 was deleted in T192996)